/*
 * Class DYNAMIC_CHAIN [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1673 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1673 [] = {0xFF01,1551,1672,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1673 [] = {0xFF01,1672,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1673 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1673 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1673 [] = {0xFF01,1672,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1673 [] = {0xFF01,1672,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1673 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1673 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1673 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1673 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1673 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1673 [] = {1672,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1673 [] = {0xFF01,1672,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1673 [] = {0xFF01,1655,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1673 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1673 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1673 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1673 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1673 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1673 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1673 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1673 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1673 [] = {0xFF01,1662,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1673 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1673 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1673 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1673 [] = {0xFF01,1672,869,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1673 [] = {0xFF01,1672,869,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1673 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1673[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1673), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1673), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1673), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1673), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1673), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1673), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1673), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1673), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1673), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1673), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1673), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1673), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1673), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1673), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12051, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9205, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8609, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8610, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1673), 8785, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1673), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1673), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9245, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9246, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9079, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12047, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12052, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8950, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12055, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1673), 8778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12058, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1673), 12053, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1673), 12056, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12061, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1673), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12064, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12057, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8781, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8782, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8784, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1673), 12053, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1673), 12054, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12061, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12067, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12067, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12370, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9249, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12045, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12371, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12372, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12373, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1673), 11011, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1673), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8776, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9247, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12068, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1673), 12049, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1673), 12050, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12059, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12060, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12062, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12065, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12066, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12046, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1673), 12374, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12055, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1673), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1673), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1673(void)
{
	IDSC(desc_1673, 0, 1672);
	IDSC(desc_1673 + 1, 1, 1672);
	IDSC(desc_1673 + 32, 1134, 1672);
	IDSC(desc_1673 + 41, 1060, 1672);
	IDSC(desc_1673 + 47, 1444, 1672);
	IDSC(desc_1673 + 56, 1570, 1672);
	IDSC(desc_1673 + 59, 1534, 1672);
	IDSC(desc_1673 + 66, 916, 1672);
	IDSC(desc_1673 + 72, 1135, 1672);
	IDSC(desc_1673 + 81, 1088, 1672);
	IDSC(desc_1673 + 83, 1245, 1672);
	IDSC(desc_1673 + 86, 387, 1672);
	IDSC(desc_1673 + 88, 636, 1672);
	IDSC(desc_1673 + 102, 778, 1672);
	IDSC(desc_1673 + 103, 340, 1672);
	IDSC(desc_1673 + 111, 254, 1672);
	IDSC(desc_1673 + 114, 554, 1672);
	IDSC(desc_1673 + 115, 878, 1672);
	IDSC(desc_1673 + 116, 794, 1672);
}


#ifdef __cplusplus
}
#endif
